classification
Title: Implement PEP 488
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: barry, brett.cannon, eric.snow, gregory.p.smith, paul.moore, python-dev, steve.dower, tim.golden, zach.ware
Priority: release blocker Keywords: patch

Created on 2015-03-21 13:33 by brett.cannon, last changed 2015-05-13 05:28 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
8ce8e9b1f3e7.diff brett.cannon, 2015-04-01 15:57 review
d4fde2493736.diff brett.cannon, 2015-04-08 21:45 review
Repositories containing patches
https://hg.python.org/features/pep-488/
Messages (10)
msg238799 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2015-03-21 13:33
https://www.python.org/dev/peps/pep-0488/
msg238908 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2015-03-22 14:40
Will probably want to see http://bugs.python.org/issue17232 resolved as part of this as well.
msg239824 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2015-04-01 16:02
Here is a patch that implements PEP 488 **except** for Windows installer stuff. I don't think the Windows changes need to block this patch going in, but I will need someone on Windows to help fix up PC/, PCbuild/, Tools/msi, Lib/distutils/command/bdist_msi.py, and Lib/distutils/command/bdist_wininst.py (if you just search for [pyo] you will find what needs an update).

Otherwise if someone wants to give the patch a review you can feel free, else I will commit it at PyCon (do be aware that if you run tests under -O and -OO there are several failures that have nothing to do with this patch).
msg239835 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-04-01 18:41
I don't actually see any essential changes. The bdist_wininst and bdist_msi changes are just for usage help, and presumably they'll go from "do not compile .py to .pyo (optimized)" to "do not compile .py to optimized .pyc".

I'd prefer to leave the .pyo file association in the installer, since it will affect previous installations.

The only change I see in PC/ is PC/getpathp.c, which is just removing a condition on "o" vs "c", and I don't see anything in PCBuild/ that really needs fixing. (Removing the cleanup code is unnecessary and leaving it in may help make sure the buildbots clean up any old .pyo files after we stop creating them.)
msg239839 - (view) Author: Paul Moore (paul.moore) * (Python committer) Date: 2015-04-01 19:23
A few minor review comments. Nothing substantial, tbh. Looks good.
msg239876 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2015-04-02 05:20
Thanks for doing this, Brett.  It's so simple a change yet such a great one. :)
msg240327 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2015-04-09 13:52
LGTM
msg240696 - (view) Author: Roundup Robot (python-dev) Date: 2015-04-13 18:21
New changeset a86d630555bd by Brett Cannon in branch 'default':
Issue #23731: Implement PEP 488.
https://hg.python.org/cpython/rev/a86d630555bd
msg240700 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2015-04-13 18:26
Thanks to Paul and Eric for the review and everyone who provided input!
msg243039 - (view) Author: Roundup Robot (python-dev) Date: 2015-05-13 05:28
New changeset bbdbc4399b52 by Zachary Ware in branch 'default':
Issue #23731: Fix tracemalloc test on Windows.
https://hg.python.org/cpython/rev/bbdbc4399b52
History
Date User Action Args
2015-05-13 05:28:01python-devsetmessages: + msg243039
2015-04-13 18:26:04brett.cannonsetstatus: open -> closed
resolution: fixed
messages: + msg240700

stage: patch review -> resolved
2015-04-13 18:21:13python-devsetnosy: + python-dev
messages: + msg240696
2015-04-09 13:52:51eric.snowsetmessages: + msg240327
2015-04-08 21:45:45brett.cannonsetfiles: + d4fde2493736.diff
2015-04-08 21:41:58brett.cannonlinkissue23892 dependencies
2015-04-02 05:20:55eric.snowsetmessages: + msg239876
2015-04-01 19:23:25paul.mooresetmessages: + msg239839
2015-04-01 18:41:40steve.dowersetmessages: + msg239835
2015-04-01 16:02:37brett.cannonsetnosy: + paul.moore, tim.golden, zach.ware, steve.dower

messages: + msg239824
stage: test needed -> patch review
2015-04-01 15:59:15brett.cannonsetfiles: - be7d966b660a.diff
2015-04-01 15:57:54brett.cannonsetfiles: + 8ce8e9b1f3e7.diff
2015-04-01 15:53:35brett.cannonsetfiles: + be7d966b660a.diff
keywords: + patch
2015-04-01 15:52:34brett.cannonsethgrepos: + hgrepo303
2015-03-28 18:28:21eric.snowsetnosy: + eric.snow
2015-03-23 22:03:39gregory.p.smithsetnosy: + gregory.p.smith
2015-03-22 14:40:57brett.cannonsetmessages: + msg238908
2015-03-21 18:51:48barrysetnosy: + barry
2015-03-21 13:33:50brett.cannoncreate